Subject: Re: [manet] New draft: "Routing Loop Issue in Mobile Ad Hoc Networks (MANETs)"

From: Lee Speakman <[email-masked]>
Date: Wed, 01 Jul 2009 18:06:10 +0900

Dear Philippe,

regarding the use of Instant Hellos and Instant TCs, with your 
consideration we are more closely looking at the effects of our 
implementation of Instant Hello / TC on LLN trigger to see if it is 
functioning as it supposed to.

Thanks for your input.

Cheers,
Lee -S-

PS. In relation to the looping issue in general in OLSRv2, I'll be 
available at the 75th IETF meeting in Stockholm to discuss it.

(2009年06月12日 22:21), jacquet さんは書きました:
> Dear Lee,
>
> It is still not clear if you properly simulate the instant TC. Instant 
> hellos can only push loops one hop away the failed link but would not 
> suppress them (unless the source is one hop away). What surprise me is 
> this 10% loop reduction means 170 packet transmission less, and you 
> assume it is still smaller than the instant hello overhead. Do you 
> mean you attempt to send more than 170 instant hellos for the same LLN?
>
> I think you may have a MAC issue if the first packet loop blocks the 
> transmission of hellos. If this phenomenon is not a simulation 
> artefact (look strange anyhow) then Chris proposal to send instant TC 
> before clearing link in the local routing table may work well and 
> suppress transient loops.
>
> Loop Deduction mechanism would locally suppress loops but would not 
> increase delivery rate (since packets don't reach destination). To 
> make it working you must send the instant TC anyhow.
>
> Best regards,
> Philippe
>
>
> Lee Speakman a écrit :
>> Dear Phillipe and Ulrich,
>>
>>
>> ...
>>
>>
>> In more recent simulation, with the same parameters as given in our 
>> published work, we measure the number of nodes that receive each 
>> broadcast packet (control packet).
>>
>> This is done for 60 nodes with a maximum mobility of 5m/s (random 
>> waypoint, random mobility between 0 and 5m/s).
>>
>>
>> i. At modest loads, 8 applications (CBR, UDP), then we find that 
>> OLSRv2-LLN has a ~85% PDR (end-to-end delivery) with ~1700 looping 
>> packet observations on average per simulation.
>> An Instant Hello on LLN gives no improvement in PDR and the number of 
>> loops is approximately the same. An Instant TC on LLN gives the same 
>> result.
>>
>> At almost no load, a control packet is on average received by 17.5 
>> nodes (more in the center, less on the edges), but at a load of 8 
>> apps this is down to just over 16 nodes. This is worse at the time a 
>> transient looping packet is existing.
>>
>> Disregarding Instant Hellos / TCs, we can get real improvements by 
>> simply using a Loop Detection mechanism and discarding the packets 
>> (Packet Discard), bringing the PDR up to ~94.5%, and better 
>> improvements by cutting the link over which a looping packet is 
>> detected (Link Cut), bringing the PDR up to ~96%.
>>
>>
>> ii. At 12 application, where there are more loops, then we find that 
>> OLSRv2-LLN has a ~74% PDR with ~4300 looping packet observations on 
>> average per simulation.
>> An Instant Hello on LLN gives about a 3% improvement in PDR (to ~77%) 
>> and the number of observed loops is ~3700. An Instant TC on LLN gives 
>> the same result.
>>
>> At almost no load, a control packet is on average received by 17.5 
>> nodes (more in the center, less on the edges), but at a load of 12 
>> apps this is down to less than 15 nodes. This is worse at the time a 
>> transient looping packet is existing.
>>
>> Again, using Packet Discard on Loop Detection brings the PDR up to 
>> ~92.5%, and with Link Cut on Loop Detection we get the PDR up to ~94%.
>>
>>
>> Simply discarding the observed looping packets and the improvement 
>> that has on PDR shows the negative effects of looping packets on 
>> surrounding traffic.
>>
>>
>> We have also looked at Instant Hellos and Instant TC on Loop 
>> Detection which shows some improvement; to 88% PDR (up 3%) for 8 apps 
>> (removing ~24% of loops), and to 79% PDR (up 4%) for 12 apps 
>> (removing ~19% if loops). This appears to become less effective at 
>> higher loads. The looping packet is not discarded nor is the link cut 
>> over which the packet loops, so on every node the looping packet 
>> passes an Instant Hello or TC is generated on Loop Detection.
>>
>> None of these Instant Hellos / TCs interrupted any of the periodic 
>> scheduling of the control packet broadcasts but were done "extra."
>>
>>
>> Cheers,
>> Lee -S-
>>